hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bochun Bai (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HIVE-1612) Cannot build hive for hadoop 0.21.0
Date Thu, 26 May 2011 09:51:48 GMT

     [ https://issues.apache.org/jira/browse/HIVE-1612?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Bochun Bai updated HIVE-1612:
-----------------------------

    Attachment: HIVE-1612-for-r1127826.patch

There are lots of dependencies incompatible with hadoop-0.21.0:
  HadoopShims uses org.apache.hadoop.mapred but 0.21 introducess org.apache.hadoop.mapreduce
  HBase don't support 0.21.0 too.

Because 0.21.0 offers a great new feature  which is split on bz2 files, I have to make hive
run ugly.
After removing HBase functions and hard-coded some 0.21 namespace, simple queries worked.

A patch is submited. I hope it will useful for someone.
And a binary can be found here: 
http://sinofool.net/blog/archives/94


> Cannot build hive for hadoop 0.21.0
> -----------------------------------
>
>                 Key: HIVE-1612
>                 URL: https://issues.apache.org/jira/browse/HIVE-1612
>             Project: Hive
>          Issue Type: Bug
>    Affects Versions: 0.7.0
>            Reporter: AJ Pahl
>         Attachments: HIVE-1612-for-r1043843.patch, HIVE-1612-for-r1043843.patch, HIVE-1612-for-r1127826.patch,
HIVE-1612.patch
>
>
> Current trunk for 0.7.0 does not support building HIVE against the Hadoop 0.21.0 release.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message